[package]
name = "image_similarity"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
image = "0.25.1"
serde = "1.0.147"
rmp-serde = "1.1.1"
base64 = "0.22.1"
log = "0.4.21"
env_logger = "0.11.3"
bktree = "1.0.1"
clap = { version = "4.5.4", features = ["derive"] }
plotters = "0.3.6"
wasm-bindgen = "0.2.92"
console_error_panic_hook = "0.1.7"
imageproc = "0.25.0"

[lib]
crate-type = ["cdylib", "rlib"]
